<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/
require_once("conexion/conectar.php");
require_once("MandaCorreos/FuncionSendMail.php");
require_once("libs/funciones.php");

$conexion = new CONDB();
$conexion->conectar();

$pass=$_GET['id'];
$usr=$_GET['usuario'];
$email=$_GET['email'];
$razonSocial=$_GET['razonSocial'];
$query="select username,email,nombre,activado,ref_rfc_receptor from usuariosweb where pass='$pass' and username='$usr' and email='$email'";
$rquery=mysqli_query($conexion->CONEXION,$query);
if(mysqli_num_rows($rquery) > 0){
		$tmp=mysqli_fetch_array($rquery,MYSQLI_ASSOC);
		$nombre=$tmp['nombre'];
		$ref_rfc_receptor=$tmp['ref_rfc_receptor'];
		$liga="";
		
		if(file_exists("config.ini")){
			$vlineas = file("config.ini");
			foreach ($vlineas as $sLinea) {
				if(substr($sLinea,0,5) == "RFCS="){
					$_SESSION["RFCS"]=trim(substr($sLinea,5));
				}elseif(substr($sLinea,0,11) == "RFCS_LIGAS="){
					$_SESSION["RFCS_LIGAS"]=trim(substr($sLinea,11));
				}elseif(substr($sLinea,0,11) == "URL_PORTAL="){
					$_SESSION["URL_PORTAL"]=trim(substr($sLinea,11));
				}
			}
		}
		
		$arrRFCS=explode(",",$_SESSION["RFCS"]);
		$arrRFCS_L=explode(",",$_SESSION["RFCS_LIGAS"]);
		
		for($i=0;$i<count($arrRFCS); $i++){
			if(trim($ref_rfc_receptor) == $arrRFCS[$i]){
				$liga=$arrRFCS_L[$i];
				break;
			}
		}
		
		$query="update usuariosweb set activado=2 where username='$usr'";
		mysqli_query($conexion->CONEXION,$query);
		
		if($tmp['activado'] == '1'){
			?>
				<center>
				<font size="2" color="blue">Su cuenta <strong><?=$usr?></strong> ya se encuentra pre-activada.<br>
				Por favor espere a que el administrador le de el permiso de acceso al Portal.<br> 
				Se le notificar&aacute; v&iacute;a correo cuando est&eacute; autorizado su acceso.
				<br/>Inicie sesi&oacute;n <a href="<?=$_SESSION["URL_PORTAL"].$liga?>">Aqu&iacute;.</a></font>
				</center>
			<?
			return false;
		}else if($tmp['activado'] == '2'){
		?>
				<center>
				<font size="2" color="blue">Su cuenta <strong><?=$usr?></strong> ya se encuentra activada.<br>
				Ahora ya puede ingresar al portal <a href="<?=$_SESSION["URL_PORTAL"].$liga?>">Aqui.</a>
				</center>
		<?
		}else{
			?>
				<center>
				<font size="2" color="blue">Su cuenta <strong><?=$usr?></strong> ha sido pre-activada.<br>
				Por favor espere a que el administrador le de el permiso de acceso al Portal.<br> 
				Se le notificar&aacute; v&iacute;a correo cuando est&eacute; autorizado su acceso.
				<br/>Inicie sesi&oacute;n <a href="<?=$_SESSION["URL_PORTAL"].$liga?>">Aqu&iacute;.</a></font>
				</center>
			<?
		}
		
		$query="update usuariosweb set activado='1' where username='$usr'";
		mysqli_query($conexion->CONEXION,$query);
	if(file_exists("config.ini")){
		$vlineas = file("config.ini");
		foreach ($vlineas as $sLinea) {
			if(substr($sLinea,0,17) == "CORREOACTIVACION="){
				$ParaEmail=trim(str_replace("CORREOACTIVACION=","",$sLinea));
			}else if(substr($sLinea,0,21) == "NOMBREPARAACTIVACION="){
				$ParaNombre=trim(str_replace("NOMBREPARAACTIVACION=","",$sLinea));
			}else if(substr($sLinea,0,27) == "CUERPO_CONFIRMA_ACTIVACION="){
				$body=trim(str_replace("CUERPO_CONFIRMA_ACTIVACION=","",$sLinea));
			}else if(substr($sLinea,0,27) == "ASUNTO_CONFIRMA_ACTIVACION="){
				$SubjectMessage=trim(str_replace("ASUNTO_CONFIRMA_ACTIVACION=","",$sLinea));
			}
		}
		$SubjectMessage=str_replace("<<TELEFONO>>",$telefono,str_replace("<<RAZONSOCIAL>>",$razonSocial,str_replace("<<USERNAME>>",$usr,str_replace("<<NOMBRE>>",$nombre,str_replace("<<EMAIL>>",$email,$SubjectMessage)))));
		$BodyHTMLFileMessage=str_replace("<<LIGA>>",$_SESSION["URL_PORTAL"].$liga,str_replace("<<RAZONSOCIALURL>>",utf8_decode($razonSocial),str_replace("<<TELEFONO>>",$telefono,str_replace("<<RAZONSOCIAL>>",$razonSocial,str_replace("<<EMAIL>>",$email,str_replace("<<NOMBRE>>",$nombre,str_replace("<<USERNAME>>",$usr,file_get_contents($body))))))));
		$AdjuntoA="";
		$AdjuntoB="";
		$AdjuntoC="";
		$TIPO_CORREO = getINI("FUNCION_ENVIA_CORREO=","config.ini");
		$FROM = getINI("FROM_CORREO=","config.ini");
		if(strtoupper(trim($TIPO_CORREO)) == "MAIL"){
			mail($ParaEmail,$SubjectMessage,$BodyHTMLFileMessage,'From: '.$FROM);
		}else{
			SendMail($ParaEmail,$ParaNombre,$SubjectMessage,$BodyHTMLFileMessage,$AdjuntoA,$AdjuntoB,$AdjuntoC);
		}
	}
		
}else{
	?>
		<center>
		<font size="2" color="blue">Parametros incorrectos. No fue posible confirmar el correo.</font>
		</center>
	<?
	
}
$conexion->desconectar();
?>
